<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F3F4F5">

    <RelativeLayout
        android:id="@+id/id_rl_title"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        android:background="@color/white">

        <ImageView
            android:id="@+id/id_img_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:padding="16dp"
            android:src="@drawable/icon_fanhui" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="15dp"
            android:text="卡券详情"
            android:textColor="@color/color_333333"
            android:textSize="16sp"
            android:textStyle="bold" />
    </RelativeLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/id_rl_title">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/banner" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:background="@drawable/shape_f5ba56_ffe9a8"
                    android:padding="2dp">

                    <TextView
                        android:id="@+id/id_tv_card_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="3dp"
                        android:textColor="#513F55"
                        android:textSize="11sp"
                        android:textStyle="bold" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/img_zuanshi" />
                </LinearLayout>

            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="16dp"
                android:layout_marginBottom="10dp"
                android:background="@drawable/shape_ffffff_r10">

                <RelativeLayout
                    android:id="@+id/id_rl_bg"
                    android:layout_width="110dp"
                    android:layout_height="wrap_content"
                    android:padding="10dp">

                    <com.zxhl.cms.widget.RecycleImageView
                        android:id="@+id/id_img_cards"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/img_daijinquan" />

                    <TextView
                        android:id="@+id/id_goods_icon"
                        android:layout_width="12dp"
                        android:layout_height="12dp"
                        android:layout_margin="8dp"
                        android:background="@drawable/shape_edd49d_r"
                        android:gravity="center"
                        android:includeFontPadding="false"
                        android:text="¥"
                        android:textColor="#D93442"
                        android:textSize="10sp" />

                    <TextView
                        android:id="@+id/id_tv_cagte_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:layout_toRightOf="@+id/id_goods_icon"
                        android:ellipsize="end"
                        android:includeFontPadding="false"
                        android:lines="1"
                        android:maxWidth="34dp"
                        android:text="代金券"
                        android:textColor="@color/white"
                        android:textSize="10sp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignBottom="@+id/id_img_cards"
                        android:layout_marginLeft="50dp"
                        android:layout_marginBottom="8dp"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/id_goods_yuan_jia"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="0"
                            android:textColor="@color/white"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            android:visibility="invisible" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="元"
                            android:textColor="@color/white"
                            android:textSize="10sp"
                            android:textStyle="bold"
                            android:visibility="invisible" />
                    </LinearLayout>

                </RelativeLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/id_tv_cards_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="9dp"
                        android:includeFontPadding="false"
                        android:text="猫眼电影5元代金券"
                        android:textColor="@color/color_333333"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/id_tv_card_discount"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="4dp"
                        android:layout_marginBottom="8dp"
                        android:background="@drawable/shape_edd49d_r4"
                        android:includeFontPadding="false"
                        android:paddingLeft="6dp"
                        android:paddingTop="2dp"
                        android:paddingRight="6dp"
                        android:paddingBottom="2dp"
                        android:text="会员专享7.6折"
                        android:textColor="#A85C00"
                        android:textSize="10sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="4dp"
                            android:includeFontPadding="false"
                            android:text="¥"
                            android:textColor="#D53C32"
                            android:textSize="12sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/id_tv_card_price"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:includeFontPadding="false"
                            android:text="0.0"
                            android:textColor="#D53C32"
                            android:textSize="18sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/id_tv_guanfang_price"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:includeFontPadding="false"
                            android:text="官方价 ¥5元"
                            android:textColor="@color/color_999999"
                            android:textSize="10sp" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:background="@drawable/shape_ffffff_r10"
                android:orientation="vertical"
                android:padding="10dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="购买份数"
                        android:textColor="@color/color_333333"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="6dp"
                        android:text="单次限购1件"
                        android:textColor="@color/color_999999"
                        android:textSize="12sp" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/icon_jianhao" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="4dp"
                        android:layout_marginRight="4dp"
                        android:text="1" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/icon_jiahao" />
                </LinearLayout>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="2dp"
                    android:background="@drawable/shape_fff8ef_r4"
                    android:padding="7dp"
                    android:text="购买须知：购买起24小时内有效，超过未使用不支持退款"
                    android:textColor="#EB754A"
                    android:textSize="10sp"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="16dp"
                android:background="@drawable/shape_ffffff_r10"
                android:orientation="vertical"
                android:padding="10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="使用须知"
                    android:textColor="@color/color_333333"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="每个账户只能兑换一张，一张代金券只能购买一张电影票时使用，电影票金额需满5.01元。"
                    android:textColor="@color/color_666666"
                    android:textSize="12sp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="25dp"
                    android:text="使用方法"
                    android:textColor="@color/color_333333"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="每个账户只能兑换一张，一张代金券只能购买一张电影票时使用，电影票金额需满5.01元。每个账户只能兑换一张，一张代金券只能购买一张电影票时使用，电影票金额需满5.01元。"
                    android:textColor="@color/color_666666"
                    android:textSize="12sp" />
            </LinearLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <LinearLayout
        android:id="@+id/id_ll_pay"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="30dp"
        android:gravity="center_vertical">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="44dp"
            android:layout_weight="1"
            android:background="@drawable/shape_f3f4f5_r20"
            android:gravity="center">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:text="¥"
                android:textColor="#FDDFA5"
                android:textSize="18sp" />

            <TextView
                android:id="@+id/id_tv_pay_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="4dp"
                android:text="0"
                android:textColor="#FDDFA5"
                android:textSize="18sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/id_tv_jiesheng_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:text="立省0.00元"
                android:textColor="#FDDFA5"
                android:textSize="12sp" />

        </LinearLayout>


        <TextView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:background="@drawable/shape_buy_bg"
            android:text="立即购买"
            android:textColor="@color/color_333333"
            android:textSize="16sp"
            android:textStyle="bold" />
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/id_rl_h5_pay_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        android:layout_below="@+id/id_rl_title">

        <WebView
            android:id="@+id/id_rights_pay_web_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <ImageView
            android:id="@+id/id_img_close_pay_web"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignRight="@id/id_rights_pay_web_view"
            android:padding="10dp"
            android:src="@drawable/icon_guanbi" />

    </RelativeLayout>

</RelativeLayout>
